interface ${source} {
    send ia-pd 0;
};

id-assoc pd 0 {
% for iface, subnet_id in sorted(targets.items()):
    prefix-interface ${iface} {
        sla-len ${subnet_len};
        sla-id ${subnet_id};
        ifid ${subnet_id};
    };
% endfor
};

profile default {
    information-only;
};
